{ Unit:            mystack.pas
  Autor:           Sascha Nemecek
  Matrikelnr.:     9825815
  Erstellt am:     10.04.1999
  Letzte nderung: 19.04.1999

  Kurzbeschreibung:
  Realisierung eines einfachen Stacks (LIFO-Speicher) der es ermglicht
  beliebige Zeiger zu Speichern und wieder zu laden. Dafr stehen
  folgende Methoden zu Verfgung:

     push    - Mit dieser Methode wird ein Element (Pointer) als oberstes
               abgelegt.
     pop     - Mit dieser Methode wird das oberste Element des Stacks
               ausgelesen. Ist der Stack leer wird NIL zurckgegeben.
     isEmpty - Gibt TRUE zurck wenn der Stack leer ist.
  }


UNIT MagTools;

INTERFACE

PROCEDURE strincpy (VAR d: STRING; s: STRING; i, n: integer);
FUNCTION isNum (c: char): boolean;
FUNCTION isAlpha (c: char): boolean;
PROCEDURE strtoupper (VAR s: STRING);


IMPLEMENTATION

{ Prozedur strincpy.
  Kopiert von einen String n Zeichen ab dem i-ten Zeichen
  in einen anderen.
  @param d Der Zielstring.
  @param s Der Quellstring.
  @param i Position ab der kopiert werden soll.
  @param n Anzahl der Zeichen, die kopiert werden sollen. }
PROCEDURE strincpy (VAR d: STRING; s: STRING; i, n: integer);
VAR c: integer;
BEGIN
   d[0] := #0;

   FOR c := i TO (i+n) DO
      d := d + s[c];
END;



{ Funktion isNum.
  berprft ob der bergebene Char eine Zahl ist. Wenn Ja wird
  TRUE bergeben. }
FUNCTION isNum (c: char): boolean;
BEGIN
   IF (c<='9') AND (c>='0') THEN
      isNum := TRUE
   ELSE
      isNum := FALSE;
END;



{ Funktion isAlpha.
  berprft ob der bergebene Char ein Buchstabe ist. Wenn Ja wird
  TRUE bergeben. }
FUNCTION isAlpha (c: char): boolean;
BEGIN
   c := upCase (c);
   IF (c<='Z') AND (c>='A') THEN
      isAlpha := TRUE
   ELSE
      isAlpha := FALSE;
END;


PROCEDURE strtoupper (VAR s: STRING);
VAR i: INTEGER;
BEGIN
   FOR i := 1 to length (s) DO
      s[i] := upcase (s[i]);
END;



BEGIN
END.